:root {
    --intellipage-font: 9pt "Sevolt", "Segoe UI", "SegoeUI", "Noto Sans", sans-serif !important;
}

@font-face {
    font-family: 'Courier Net';
    src: url(./fonts/cournet/CourierNet-Regular.ttf);
}

.can-hover {
    font-family: "Sevolt", "Segoe UI", "SegoeUI", "Noto Sans", sans-serif !important;
    font-size: 9pt;
}

* {
    box-sizing: border-box;
}

.intellipage_search, .intellipage_search_field, .intellipage_search_counter {
    font-family: "Sevolt", "Segoe UI", "SegoeUI", "Noto Sans", sans-serif;
}

html,
body {
    margin: 0;
    height: 100%;
    overflow: hidden;
    /* font-family: var(--intellipage-font); */
}

/* HEADER */
#header {
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px;
    background: #ffffff;
    color: #000000;
}

#controls button {
    margin-right: 6px;
    padding: 6px 10px;
    cursor: pointer;
}

/* MAIN WORKSPACE */
#workspace {
    height: calc(100% - 55px);
    display: flex;
}

/* EDITOR */
#editorPane {
    height: 100%;
    width: 100%;
}

/* RIGHT PANEL */
#rightPanel {
    display: flex;
    flex-direction: column;
    height: 100%;
}

#preview {
    width: 100%;
    border: none;
}

#bottomPanel {
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

/* ACE EDITOR */
#editor {
    width: 100%;
    height: 100%;
    font-family: 'Courier Net', 'Courier New', Courier, monospace !important;
}

.gutter {
    background-color: #e9e9e9;
}

.gutter.gutter-horizontal {
    cursor: col-resize;
    width: 6px;
}

.gutter.gutter-vertical {
    cursor: row-resize;
    height: 6px;
}

#rightPanel {
    display: flex;
    flex-direction: column;
    height: 100%;
    flex: 1;
    min-height: 0;
}

#bottomPanel {
    display: flex;
    flex-direction: column;
    flex: 1;
    min-height: 0; /* IMPORTANT */
}

#tabContent {
    flex: 1;
    position: relative;
    min-height: 0; /* IMPORTANT */
}

.intellitools-dom-viewer, .intellitools-object-viewer, .intellitools-console, .intellitools-console-log-item, .intellitools-dom-viewer-attribute-value {
    font-size: 14px;
    font-family: 'Courier Net', 'Courier New', Courier, monospace !important;
}

.action {
    padding: 6px 14px;
    border-radius: 6px;
    border: none;

    color: #fff;
    background: linear-gradient(180deg, #4B91F7 0%, #367AF6 100%);
    background-origin: border-box;
    box-shadow: 0px 0.5px 1.5px rgba(54, 122, 246, 0.25), inset 0px 0.8px 0px -0.25px rgba(255, 255, 255, 0.2);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.action:focus {
    box-shadow: inset 0px 0.8px 0px -0.25px rgba(255, 255, 255, 0.2), 0px 0.5px 1.5px rgba(54, 122, 246, 0.25), 0px 0px 0px 3.5px rgba(58, 108, 217, 0.5);
    outline: 0;
}

#previewWindow {
    display: flex;
    flex-direction: column;
    flex: 1;
    min-height: 0;
}

#previewWindow .window-body {
    flex: 1;
    padding: 0;      /* optional */
    min-height: 0;
    overflow: hidden;
}

#preview {
    width: 100%;
    height: 100%;
    border: none;
    display: block;
}

.window {
    margin: 20px;
}

/* 7.css inspector tabs */

#inspectorTabs {
    display: flex;
    flex-direction: column;
    flex: 1;
    /* min-height: 0; */
    overflow: hidden;
}

#inspectorTabs > menu {
    flex: 0 0 auto;
    /* margin: 0; */
}

#inspectorTabs > article {
    flex: 1;
    /* min-height: 0; */
    overflow: auto;
}

#bottomPanel > #inspectorTabs {
    flex: 1;
    /* min-height: 0; */
}

.intellitools-dom-viewer {
    /* height: 100%; */
    overflow: auto;
}

.intellitools-console {
    overflow-x: hidden !important;
}

#previewWindow {
    height: 60%;
    min-height: 100px;
}

#bottomPanel {
    height: 40%;
    min-height: 100px;
}
